#
# spec file for package fetchmail (Version 6.2.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ed openssl openssl-devel opie
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib ed gcc gdbm gettext libtool openssl-devel opie perl rpm

Name:         fetchmail
License:      GPL
Group:        Productivity/Networking/Email/Utilities
Autoreqprov:  on
Version:      6.2.3
Release:      85
Source:       %{name}-%{version}.tar.bz2
Source1:      fetchmail.init
Source2:      logrotate
Patch:        fetchmail-space-after-mail-from.patch
Patch1:       fetchmail-long-uidl.patch
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq
%endif
URL:          http://catb.org/~esr/fetchmail/
Icon:	      fetchmail.xpm
Requires:     smtp_daemon
Provides:     fetchml pop:/usr/bin/fetchmail
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Full-featured POP and IMAP mail retrieval daemon
Obsoletes:    fetchml

%description
Fetchmail is a robust and well-documented remote mail retrieval and
forwarding utility intended to be used over on-demand TCP/IP links
(such as SLIP or PPP connections).

Fetchmail retrieves mail from remote mail servers and forwards it to
your local machine's delivery system, so it can be read by normal mail
user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.

fetchmailconf, an interactive GUI configurator suitable for end-users
is found in the fetchmailconf package.



Authors:
--------
    Eric S. Raymond <esr@snark.thyrsus.com>

%package -n fetchmailconf
Summary:      Fetchmail configurator
Group:        Productivity/Networking/Email/Utilities
Requires:     fetchmail, python, python-tk, python-imaging, libjpeg, libtiff
Provides:     fetchmcf fetchml:/usr/bin/fetchmailconf
Obsoletes:    fetchmcf

%description -n fetchmailconf
A GUI configurator for generating fetchmail configuration files
(.fetchmailrc).



Authors:
--------
    Eric S. Raymond <esr@thyrsus.com>

%prep
%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1
%{?suse_update_config}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
export CFLAGS LDFLAGS
case `/usr/share/automake/config.guess` in
  i?86-*-linux|i?86-*-linux-gnu|alpha*linux*|powerpc*)
	export EXTRA_LIBS="-lcrypt"	;;
  *)	export EXTRA_LIBS=""		;;
esac
./configure --prefix=/usr \
	--enable-POP2 \
	--enable-nls \
	--enable-NTLM \
	--enable-RPA \
	--enable-SDPS \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=/etc \
	--sharedstatedir=/var \
	--with-ssl=/usr \
	--enable-opie
#	--with-gssapi
#	--with-kerberos5
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cd $RPM_BUILD_ROOT/%{_mandir}/man1
ln -sf fetchmail.1.gz fetchmailconf.1.gz
rm -rf %{_builddir}/%{buildsubdir}/contrib/RCS
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp %{_sourcedir}/logrotate  $RPM_BUILD_ROOT/etc/logrotate.d/fetchmail
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
cp %{S:1} $RPM_BUILD_ROOT/etc/init.d/fetchmail
chmod +x $RPM_BUILD_ROOT/etc/init.d/fetchmail
ln -s ../etc/init.d/fetchmail $RPM_BUILD_ROOT/sbin/rcfetchmail
#%post
#%{fillup_and_insserv}
#

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/fetchmail
/usr/share/locale/*/LC_MESSAGES/fetchmail.mo
/etc/logrotate.d/fetchmail
/etc/init.d/fetchmail
/sbin/rcfetchmail
%doc %{_mandir}/man1/fetchmail.1.gz
%doc README NEWS NOTES FAQ COPYING FEATURES contrib
%doc fetchmail-features.html fetchmail-FAQ.html design-notes.html

%files -n fetchmailconf
/usr/bin/fetchmailconf
%doc %{_mandir}/man1/fetchmailconf.1.gz

%changelog -n fetchmail
* Fri Jul 22 2005 - sbrabec@suse.cz
- Fixed buffer overflow with long UIDL (#97555, CAN-2005-2355).
* Mon Apr 25 2005 - sbrabec@suse.cz
- Prevent lost mails with NULL envelope (#80331).
* Thu Aug 07 2003 - sbrabec@suse.cz
- Updated to version 6.2.3.
* Tue May 20 2003 - mmj@suse.de
- Fix typo
* Wed Mar 26 2003 - sbrabec@suse.cz
- Updated to version 6.2.2.
- Created startup script.
* Thu Jan 16 2003 - sbrabec@suse.cz
- Updated to version 6.2.1.
* Fri Dec 13 2002 - mmj@suse.de
- Update to 6.2.0 which has security fix for rfc822.c and some
  translations plus an SMTP timeout patch
* Tue Dec 10 2002 - sbrabec@suse.cz
- Updated to version 6.1.3.
* Wed Nov 20 2002 - sbrabec@suse.cz
- Spec file cleanup (bug #21912).
* Thu Oct 24 2002 - sbrabec@suse.cz
- Update to version 6.1.1.
* Tue Oct 01 2002 - sbrabec@suse.cz
- Removed --with-included-gettext and re-enabled NLS.
- OPIE/OTP fixes.
- Spec file cleanup.
* Fri Sep 27 2002 - mmj@suse.de
- Update to 6.1.0 including since 5.9.13:
  o Support for STARTTLS over IMAP
  o Cleanups and bugfixes
  o Translation update
  o Fix for potential remote vulnerability in multidrop mode,
  which according to the author is an important security fix.
* Mon Jul 29 2002 - jreuter@suse.de
- more spec file cleanup
* Mon Jul 29 2002 - jreuter@suse.de
- added /etc/logrotate.d/fetchmail (Bugzilla #17279)
- spec file cleanup
* Fri Jul 19 2002 - jreuter@suse.de
- removed /usr/share/locale/*/LC_MESSAGES/fetchmail.mo from file list
* Wed Jul 17 2002 - jreuter@suse.de
- updated to version 5.9.13
- disabled NLS support because it doesn't compile and esr is about
  to remove it anyway
- complete changelog: http://tuxedo.org/~esr/fetchmail/NEWS
* Sat Mar 23 2002 - kukuk@suse.de
- Fix fetchmailconf (wrong python widget destroy calls) [Bug #15391]
* Mon Sep 17 2001 - bjacke@suse.de
- minor fixes in README.SUSE
* Thu Aug 16 2001 - bjacke@suse.de
- update to 5.9.0
* Thu Jul 12 2001 - bjacke@suse.de
- update to 5.8.14
* Fri Jun 15 2001 - bjacke@suse.de
- patch to prevent buffer overflow due to long headers
* Tue Apr 03 2001 - bjacke@suse.de
- update to 5.8.0
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 - bjacke@suse.de
- updated to 5.6.5 (fixes #6245)
- fix fetchmailconf nospambounce problem
- enable RPA protocol
* Fri Jan 05 2001 - bjacke@suse.de
- disabled IPv6 support for the time being to fix bug #5111
* Wed Dec 20 2000 - garloff@suse.de
- pass --enable-NTLM to configure in order to enable M$ Exchange
  compatible auth proto
- explicitly specify the directories with --mandir etc ...
- Use DESTDIR= instead of prefix to pass RPM_BUILD_ROOT
- add %%{?suse_update_config}
* Mon Dec 18 2000 - bjacke@suse.de
- some spec file fixes
* Mon Dec 18 2000 - ro@suse.de
- Fix requires for fetchmailconf (again)
* Mon Dec 18 2000 - bjacke@suse.de
- merged ssl stuff from fetchmailssl to fetchmail package
* Wed Nov 29 2000 - bjacke@suse.de
- updated to 5.6.0
- adjust README to new boot concept
* Fri Nov 10 2000 - bjacke@suse.de
- updated to version 5.5.5
- switched to long names
- added README.SuSE
* Sun Sep 03 2000 - bjacke@suse.de
- update to fetchmail-5.5.1
* Tue May 23 2000 - bk@suse.de
- moved fetchmailconf man page to subpackage fetchmcf
* Mon May 15 2000 - bk@suse.de
- update to fetchmail-5.4.0, new major version.
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Thu Feb 24 2000 - dipa@suse.de
- update to fetchmail-5.3. update to fetchmail-5.3.00
* Tue Feb 15 2000 - bk@suse.de
- update to fetchmail-5.2.8, that's the code freeze release for 5.3.0
* Tue Feb 08 2000 - bk@suse.de
- update to fetchmail-5.2.7, Eric's changelog to 5.2.6 is very small:
  * Updated FAQ and
  * Updated es.po.
  * Disable mail notification on server unreachable.  This turned out to
  be a very bad idea.
* Tue Feb 01 2000 - ro@suse.de
- specfile typo
* Tue Feb 01 2000 - ro@suse.de
- create man directory
* Mon Jan 31 2000 - bk@suse.de
- restarted spec from package-provided spec, subpackages fetchmcf (fetchmailconf)
* Wed Oct 20 1999 - bk@suse.de
- split-off from pop, update to 5.1.2
